; nasm fpu_test.asm -o fpu_test.com

    cpu 8086
    org 100h

start:
    mov     dx, no_fpu_txt
    
    fninit
    fnstsw  [fpu_status]
    cmp     word [fpu_status], 0
    jne     .nope
    fnstcw  [fpu_control]
    cmp     word [fpu_control], 037fh
    jne     .nope

    mov     dx, fpu_txt
.nope:
    mov     ah, 09h
    int     21h
    
    mov     ax, 4c00h
    int     21h

no_fpu_txt:
    db "No "
fpu_txt:
    db "FPU found", 13, 10, '$'

fpu_status:
    dw  0ffffh
fpu_control:
    dw  0ffffh
